curl --request GET \
--url https://api.topsort.com/public/v1/offsite-ads/audiences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/offsite-ads/audiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/offsite-ads/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"audiences": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"estimatedSize": 123,
"estimatedSizeRange": {
"lowerBound": 123,
"upperBound": 123
},
"syncedDsps": [
"google_ads"
]
}
],
"nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List Offsite Audiences
List offsite audiences.
Autorizações
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Parâmetros de consulta
If specified, only shows audiences that specific vendor has access to.
"vendor_123"
If specified, only shows audiences synced to this DSP.
google_ads, meta "google_ads"
Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.
Resposta
Successful Response
Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.
The list of audiences.
Show child attributes
Show child attributes
Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.
1"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
Esta página foi útil?